> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Reactivate account

> Reactivates an account. The account will have access again to their tenant.

<sup>Required permissions: `account:reactivate`</sup>



## OpenAPI

````yaml put /accounts/{id}/reactivate
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /accounts/{id}/reactivate:
    parameters: []
    put:
      tags:
        - Account
      summary: Reactivate account
      description: >-
        Reactivates an account. The account will have access again to their
        tenant.


        <sup>Required permissions: `account:reactivate`</sup>
      operationId: reactivateAccount
      parameters:
        - name: id
          in: path
          description: Account identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: Account resource updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Account-AccountDetailsAdmin'
            text/html:
              schema:
                $ref: '#/components/schemas/Account-AccountDetailsAdmin'
          links: {}
        '400':
          description: Invalid input
        '404':
          description: Resource not found
        '422':
          description: Unprocessable entity
      deprecated: false
      security:
        - JWT:
            - account:reactivate
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X PUT \
             /accounts/{id}/reactivate \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    Account-AccountDetailsAdmin:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          example: 01F9Z3ZJXZQZJZJZJZJZJZJZJZ
          type: string
        user:
          readOnly: true
          type: string
          format: uuid
          example: https://example.com/
        role:
          readOnly: true
          default: administrator
          example: administrator
          type: string
          enum:
            - administrator
            - account
            - read-only
        createdAt:
          type: string
          format: date-time
        deactivated:
          readOnly: true
          type: boolean
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````